Bug 20015 - use Modern::Perl in Serials perl scripts
Summary: use Modern::Perl in Serials perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: jwayway
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 19:52 UTC by Aleisha Amohia
Modified: 2018-02-16 01:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug-20015: use Modern::Perl in Serials perl script (5.50 KB, patch)
2018-01-18 00:59 UTC, jwayway
Details | Diff | Splinter Review
Bug-20015: use Modern::Perl in Serials perl script (5.55 KB, patch)
2018-01-24 18:44 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20015: use Modern::Perl in Serials perl script (5.62 KB, patch)
2018-02-04 13:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20015: use Modern::Perl in Serials perl script (5.68 KB, patch)
2018-02-04 13:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 19:52:43 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
acqui-search-result.pl
acqui-search.pl
checkexpiration.pl
reorder_members.pl
routing-preview.pl
routing.pl
serials-collection.pl
serials-edit.pl
subscription-add.pl
subscription-bib-search.pl
subscription-renew.pl
viewalerts.pl
Comment 1 jwayway 2018-01-18 00:59:39 UTC
Created attachment 70658 [details] [review]
Bug-20015: use Modern::Perl in Serials perl script

Test plan:
Check that use strict; use warnings; doesn't exist in the following
files and use Modern::Perl; is written instead.
acqui-search-result.pl
acqui-search.pl
checkexpiration.pl
reorder_members.pl
routing-preview.pl
routing.pl
serials-collection.pl
serials-edit.pl
subscription-add.pl
subscription-bib-search.pl
subscription-renew.pl
viewalerts.pl
Comment 2 Jon Knight 2018-01-24 18:44:04 UTC
Created attachment 70898 [details] [review]
Bug-20015: use Modern::Perl in Serials perl script

Test plan:
Check that use strict; use warnings; doesn't exist in the following
files and use Modern::Perl; is written instead.
acqui-search-result.pl
acqui-search.pl
checkexpiration.pl
reorder_members.pl
routing-preview.pl
routing.pl
serials-collection.pl
serials-edit.pl
subscription-add.pl
subscription-bib-search.pl
subscription-renew.pl
viewalerts.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 Katrin Fischer 2018-02-04 13:22:21 UTC
Created attachment 71184 [details] [review]
Bug 20015: use Modern::Perl in Serials perl script

Test plan:
Check that use strict; use warnings; doesn't exist in the following
files and use Modern::Perl; is written instead.
acqui-search-result.pl
acqui-search.pl
checkexpiration.pl
reorder_members.pl
routing-preview.pl
routing.pl
serials-collection.pl
serials-edit.pl
subscription-add.pl
subscription-bib-search.pl
subscription-renew.pl
viewalerts.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Katrin Fischer 2018-02-04 13:26:44 UTC
Created attachment 71186 [details] [review]
Bug 20015: use Modern::Perl in Serials perl script

Test plan:
Check that use strict; use warnings; doesn't exist in the following
files and use Modern::Perl; is written instead.
acqui-search-result.pl
acqui-search.pl
checkexpiration.pl
reorder_members.pl
routing-preview.pl
routing.pl
serials-collection.pl
serials-edit.pl
subscription-add.pl
subscription-bib-search.pl
subscription-renew.pl
viewalerts.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:59:51 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 01:00:30 UTC
Awesome work all! Enhancement not backported to stable.